Subject: bug#32578: Remove "joke" from drag events documentation

From: Marcin Borkowski <[email-masked]>
Date: Fri, 31 Aug 2018 08:08:24 +0200

On 2018-08-30, at 15:51, Chris Shea <[email-masked]> wrote:

> On Thu, Aug 30, 2018 at 3:50 AM Colin Baxter <[email-masked]> wrote:
>
>> >>>>> Marcin Borkowski <[email-masked]> writes:
>>
>>     > On 2018-08-29, at 19:29, Chris Shea <[email-masked]> wrote:
>>
>>     >> Hello,
>>     >>
>>     >> This patch removes an unnecessary and unwelcoming joke from the
>>     >> drag events documentation. Documentation should be informative
>>     >> and inclusive.
>>
>>     > I'm a bit on the fence about this.  On the one hand, I remember
>>     > seeing the joke some time ago and finding it hilarious.  On the
>>     > other hand, I remember feeling good about removing other jokes
>>     > from Emacs sources, which were _really_ offensive.  This one seems
>>     > to be far, far from offensive anyway, and if anyone feels offended
>>     > by this, they probably well deserve it.  Disclosure: I know (and
>>     > often tell myself) jokes about groups of people _I_ belong to
>>     > which are probably much more "offensive" than this one (though
>>     > obviously I may be biased).  I can provide a sample on request.
>>
>>     > I don't see how the relevant portion can be seen as not
>>     > informative.
>>
>>     > BTW, I am now coauthoring a book on pretty advanced mathematics
>>     > (nonlinear analysis), and we try to put quite a lot of jokes into
>>     > it.  Well-placed jokes do not make a book/documentation less
>>     > informative, but more pleasant to read.  (Unfortunately, there is
>>     > nothing about "drag events" in the book.)
>>
>>     > If I were to made a decision, I would probably (a bit reluctantly,
>>     > but still) leave it, so that Emacs does not succumb to the idiocy
>>     > called "political correctness".
>>
>>     > Best,
>>
>>     > -- Marcin Borkowski http://mbork.pl
>>
>> I agree with Marcin's comments and would add that a joke is hardly a
>> bug. Perhaps the original poster should place the suggestion elsewhere,
>> maybe emacs.devel?
>>
>> Best wishes
>>
>
> To Marcin's points, I didn't bring up offensiveness, and what kinds of

"Unwelcoming" seemed to me a softer version of "offensive".  Sorry if
I'm mistaken, I'm not a native English speaker.

> jokes you tell among your friends doesn't seem relevant. Would your

Quite the opposite: if I'm not bothered by this joke, and I'm bothered
by similarly offensive/unwelcoming jokes about me and/or groups of
people I belong to, someone could argue that I have double standards.
Such an argument need not be correct in general, but it might make
people ignore my email.

> reasoning be the same if the diff was the other way? Would you be arguing
> to add this joke in because you deem it inoffensive? That it adds
> information to the documentation? That the documentation for a text editor
> is the appropriate place to make the effort to add a joke (a joke which
> operates merely on the level of "this one word looks like this other word")
> as a bulwark against "political correctness"?

As I mentioned, I'm coauthoring a "serious" book on "serious"
mathematics.  Many a commit exists for the purpose of adding jokes
(though not ones about drag events), pop culture references etc.  Though
it does not add _information_, it adds _value_.  And I don't see how
docs for a text editor might be inappropriate place for jokes/puns
(unless they make the docs difficult to understand for a non-native
ENglish speaker, but this is another story).

Even if the reason was not "as a bulwark against 'political
correctness'" (which would strengthen the argument in my book), I still
think the effort would be worth it.

Best,

--
Marcin Borkowski
http://mbork.pl